rte_eth_udp_tunnel(3)

NAME
rte_eth_udp_tunnel

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint16_t udp_port
uint8_t prot_type

Detailed Description

UDP tunneling configuration.

Used to configure the classifier of a device, associating an UDP port with a type of tunnel.

Some NICs may need such configuration to properly parse a tunnel with any standard or custom UDP port.

Definition at line 1518 of file rte_ethdev.h.

Field Documentation

  uint16_t udp_port
UDP port used for the tunnel.

Definition at line 1519 of file rte_ethdev.h.

  uint8_t prot_type
Tunnel type.

See also
    rte_eth_tunnel_type

Definition at line 1520 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.